@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*================================
    Dashboard Charts Defaults
================================*/


@import "../support/_dashboard-variables.scss";

.yw-dashboard {
  background-color: $dashboard__wrapper--bg-color;
  height: 100%;
  overflow: auto;
  position: relative;

  &-lock {
    right: $dashboard__dashboard-lock--right;
    position: absolute;
    top: 0;

    &.z-button {
      &:hover,
      &:focus,
      &:active {
        color: $blue__default;
      }
    }
  }

  &-actions {
    margin: $dashboard__dashboard-actions--margin;
    background-color: transparent;

    .cng-action-enabled .cng-action-icon {
        box-shadow: inset 0 0 0 $dashboard__action-button--border-width rgba($dashboard__action-button-hover--border-color, 0);
        &:hover, &:focus {
            box-shadow: inset 0 0 0 $dashboard__action-button--border-width $dashboard__action-button-hover--border-color;
        }
    }
  }

  &-slot-ghost {
    border: $dashboard__draggable-slot-ghost--border-height solid $dashboard__dashboard-header--color;
    max-width: $dashboard__draggable-slot-ghost--max-width;
    overflow: hidden;
  }

  .yw-children-container {
    .yw-dashboard{
      &-top-container {
        background-color: $dashboard__draggable-slot--border-color;
      }

      &-dnd-enabled{
        .yw-dashboard{
          &-slot {
            position: relative;
            padding-bottom: $dashboard__dashboard-slot--padding;
          }

          &-slot-draggable {
            width: $dashboard__dashboard-slot-draggable--width;
            height: $dashboard__dashboard-slot-draggable--height;
            background-color: $dashboard__draggable-slot--bg-color;
            position: absolute;
            cursor: move;
            z-index: $dashboard__dashboard-slot-draggable--z-index;

            &:before {
              width: $dashboard__dashboard-slot-draggable-icon--size;
              height: $dashboard__dashboard-slot-draggable-icon--size;
              content: "";
              background-image: url('images/drag-dashboard.png');
              background-repeat: no-repeat;
              background-position: center center;
              background-color: $dashboard__draggable-slot--bg-color;
              position: absolute;
              top: $dashboard__dashboard-slot-draggable--height;
              left: 50%;
              margin-left: -19px;
              z-index: $dashboard__dashboard-slot-draggable--z-index;
            }
          }
        }
      }
    }
  }

  &-title {
    color: $dashboard__dashboard-header--color;
    font-size: $dashboard__info-value--font-size;
  }
}